Bug 167275 - acroread -setenv option broken
acroread -setenv option broken
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: acroread (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 03:23 EDT by Olle Liljenzin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olle Liljenzin 2005-09-01 03:23:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.7.10-1.1.3.1

Description of problem:
The option '-setenv <var>=<value>' went broken when acroread 5.10 was replaced by 7.0

The option is documented in the output from 'acroread -help', but is not accepted.

This brakes our application and our clients get hit by this when they are running up2date.

Version-Release number of selected component (if applicable):
acroread-7.0.1-1.1.0.EL3

How reproducible:
Always

Steps to Reproduce:
1. Run the command 'acroread -setenv APA=apa'

  

Actual Results:  help text is shown

Expected Results:  acroread should pop up

Additional info:
Comment 1 Dan Williams 2005-09-01 07:38:49 EDT
hm, ok...  We had to update to 7.x because Adobe no longer issues security
updates for the 5.x series.  There are now about 2 or 3 security issues with
Acrobat Reader 5.x which will never be fixed.  I'll try to see what the word is
on -setenv...
Comment 2 Dan Williams 2005-09-01 13:10:19 EDT
I have submitted an bug report to Adobe with the following text:

Steps to reproduce bug:
1. Run "acroread -setenv A=b"

Results: 
Reader displays command-line help

Expected results: 
Reader launches itself


This functionality worked in Linux 5.x versions.  If the functionality is not
expected to work in 7.x versions, then it's help text should be removed from
Reader's --help output and a workaround provided.  Otherwise, it should be fixed
to work correctly as in Reader 5 for Linux.

Please see:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167275
Comment 3 Olle Liljenzin 2005-09-11 07:17:01 EDT
Dan,

did you get any feedback from Adobe, whether they are accepting it as a bug 
that will be fixed or if they will just change the helptext?
Comment 4 RHEL Product and Program Management 2007-10-19 14:54:58 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.